package poslovnalogika;

import domen.Korisnik;

/**
 *
 * @author student1
 */
public class Kontroler {
    private KolekcijaKorisnika kolekcijaKorisnika;
    private static Kontroler objekatKontroler;
    
    private Kontroler() {
        kolekcijaKorisnika = new KolekcijaKorisnika();
    }
    
    public void ubaciKorisnika(Korisnik korisnik){
        kolekcijaKorisnika.ubaciNovogKorisnika(korisnik);
    }
    
    public static Kontroler vratiObjekatKontrolera(){
        if (objekatKontroler==null) {
            objekatKontroler = new Kontroler();
        }
        return objekatKontroler;
    }
    
    public KolekcijaKorisnika vratiKolekcijuKorisnika(){
        return kolekcijaKorisnika;
    }
    
}
