package poslovnalogika;

import domen.Korisnik;
import java.util.HashMap;

/**
 *
 * @author student1
 */
public class Kontroler {

    private KolekcijaKorisnika kolekcijaKorisnika;
    private static Kontroler objekatKontroler;
    private HashMap<String, Object> mapa;
    
    private Kontroler() {
        kolekcijaKorisnika = new KolekcijaKorisnika();
        mapa = new HashMap<>();
    }

    public static Kontroler vratiObjekatKontrolera() {
        if (objekatKontroler == null) {
            objekatKontroler = new Kontroler();
        }
        return objekatKontroler;
    }

    public KolekcijaKorisnika vratiKolekcijuKorisnika() {
        return kolekcijaKorisnika;
    }

    public void ubaciKorisnika(Korisnik korisnik) {
        kolekcijaKorisnika.ubaciNovogKorisnika(korisnik);
    }

    public HashMap<String, Object> getMapa() {
        return mapa;
    }
     
}
