/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package komunikacija;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import to.TransferObjekatKlijent;
import to.TransferObjekatServer;

/**
 *
 * @author student1
 */
public class MreznaKomunikacijaKlijent {
    
    
    private static MreznaKomunikacijaKlijent instance;
    Socket vezaSaServerom;
    ObjectOutputStream outZaServer;
    ObjectInputStream inOdServera;

    private MreznaKomunikacijaKlijent() throws IOException {
        vezaSaServerom = new Socket("localhost", 10000);
        outZaServer = new ObjectOutputStream(vezaSaServerom.getOutputStream());
        inOdServera = new ObjectInputStream(vezaSaServerom.getInputStream());
    }
    
    
    public static MreznaKomunikacijaKlijent getInstance() throws IOException{
        if (instance==null){
            instance = new MreznaKomunikacijaKlijent();
        }
        
        return instance;        
    }
    
   
    public void posaljiTOServeru(TransferObjekatKlijent tok) throws IOException{
        
        outZaServer.writeObject(tok);
    }
    
    public TransferObjekatServer procitajObjekatOdServera() throws Exception{
        return (TransferObjekatServer) inOdServera.readObject();
    }
    
}
