/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package logika;

import domen.Korisnik;
import domen.Mesto;
import java.util.List;
import podaci.KolekcijaKorisnika;
import podaci.KolekcijaMesta;

/**
 *
 * @author student1
 */
public class Kontroler {
    private KolekcijaMesta mesta;
    private KolekcijaKorisnika korisnici;
    private static Kontroler instance;
    private Kontroler(){
        mesta=new KolekcijaMesta();
        korisnici=new KolekcijaKorisnika();
    }
    public static Kontroler getInstance(){
        if(instance==null){
            instance=new Kontroler();
        }
        return instance;
    }
    
    public void sacuvajNovogKorisnika(Korisnik korisnik){
        korisnici.dodajKorisnika(korisnik);
        
    }
    
    public List<Korisnik> vratiSveKorisnike(){
        return korisnici.vratiSveKorisnike();
    }
    
    public List<Mesto> vratiSvaMesta(){
        return mesta.vratiSvaMesta();
    }
    
}
