/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ui.gui.korisnik.modeltabele;

import domen.Korisnik;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabeleKorisnik extends AbstractTableModel {

    List<Korisnik> listaKorisnika;
    
    String [] naziviKolona = new String[]{"JMBG","Ime","Prezime","Korisnicko ime","Korisnicka sifra","Ulica", "Broj","Mesto"};

    public ModelTabeleKorisnik(List<Korisnik> listaKorisnika) {
        this.listaKorisnika = listaKorisnika;
    }

    // metoda vraca broj koji treb da  ima tabela
    @Override
    public int getRowCount() {
        return listaKorisnika.size();
    }

    // metoda vraca broj kolona koji treb da ima tabela
    @Override
    public int getColumnCount() {
        return 8;
    }

    
    // metoda vraca Vrednost koja treba da se upise u zahtevani red(rowIndex)  i zahtevanu kolonu (columnIndex)    
    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {

        Korisnik korisnik = listaKorisnika.get(rowIndex);

        switch (columnIndex) {
            case 0:
                return korisnik.getJmbg();
            case 1:
                return korisnik.getIme();
            case 2:
                return korisnik.getPrezime();
            case 3:
                return korisnik.getKorisnickoIme();
            case 4:
                return korisnik.getKorisnickaSifra();
            case 5:
                return korisnik.getAdresa().getNazivUlice();
            case 6:
                return korisnik.getAdresa().getBroj();
            case 7:
                return korisnik.getAdresa().getMesto();
            default:
                return null;
        }

    }

    
    //  metoda vraca naziv odovorajuce kolone 
    @Override
    public String getColumnName(int column) {
        return naziviKolona[column]; //To change body of generated methods, choose Tools | Templates.
    }

    
    // metoda vraca da li je celija u trazenom redu(rowIndex) i trazenoj koloni(columnIndex) editabilna
    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return true;
    }

    //Potrebno je implementirati setValueAt metodu koja sluzi da se vrednost koja je upisana u celiju table
    // Object aValue postavi u odgovaraju'i atribut(u zavisnosti od kolone) 
    //odogovarajuceg objekata u listi (zavisi od trazenog reda)
    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        // POTREBNO JE IMPLEMENTIRATI OVU METODU
        //Dok se ona ne implementira bilo koje izmena nece biti moguce 
        //jer ne postoji nacin da se zapamti u modelu
    }
    
    
    
    
       
    

}
