/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ui.gui.korisnik.modeltabele;

import domen.Korisnik;
import domen.Mesto;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabeleKorisnik extends AbstractTableModel {

    List<Korisnik> listaKorisnika;
    
    boolean editabilna=false;

    String[] naziviKolona = new String[]{"Jmbg", "Ime", "Prezime", "Kornsicko ime", "Korisnicka sifra", "Naziv Ulice", "Broj", "Mesto"};

    public ModelTabeleKorisnik(List<Korisnik> listaKorisnika, boolean ed) {
        this.listaKorisnika = listaKorisnika;
        editabilna = ed;
    }

    @Override
    public int getRowCount() {
        return listaKorisnika.size();
    }

    @Override
    public int getColumnCount() {
        return naziviKolona.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {

        Korisnik korisnik = listaKorisnika.get(rowIndex);

        switch (columnIndex) {

            case 0:
                return korisnik.getJmbg();

            case 1:
                return korisnik.getIme();

            case 2:
                return korisnik.getPrezime();

            case 3:
                return korisnik.getKorisnickoIme();

            case 4:
                return korisnik.getKorisnickaSifra();

            case 5:
                return korisnik.getAdresa().getNazivUlice();

            case 6:
                return korisnik.getAdresa().getBroj();

            case 7:
                return korisnik.getAdresa().getMesto();

            default:
                return null;
        }
    }

    @Override
    public String getColumnName(int column) {
        return naziviKolona[column]; //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return editabilna;
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        ///super.setValueAt(aValue, rowIndex, columnIndex); //To change body of generated methods, choose Tools | Templates.
        Korisnik k = listaKorisnika.get(rowIndex);

        switch (columnIndex) {

            case 0:
                k.setJmbg(String.valueOf(aValue));
                break;
            case 1:
                k.setIme(String.valueOf(aValue));
                break;
            case 2:
                k.setPrezime(String.valueOf(aValue));
                break;
            case 3:
                k.setKorisnickoIme(String.valueOf(aValue));
                break;
            case 4:
                k.setKorisnickaSifra(String.valueOf(aValue));
                break;
            case 5:
                k.getAdresa().setNazivUlice(String.valueOf(aValue));
                break;
            case 6:
                k.getAdresa().setBroj(String.valueOf(aValue));
                break;
            case 7: k.getAdresa().setMesto((Mesto)(aValue));
                   break;    

        }

    }

    public Korisnik vratiKorisnikaIzReda(int selektovaniRed) {

        return listaKorisnika.get(selektovaniRed);
    }

    public void dodajKorisnika(Korisnik k) {

        listaKorisnika.add(k);
        fireTableDataChanged();
    }

    @Override
    public Class<?> getColumnClass(int columnIndex) {
        if (columnIndex!=7){
            return String.class;
        }else{
            return Mesto.class;
        }
    }


    public List<Korisnik> vratiListuKorisnika(){
        return listaKorisnika;
    }
    
    
}
