/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package domen;

import java.io.Serializable;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 *
 * @author student1
 */
public class Mesto implements Serializable, OpstiDomenskiObjekat {
    private int pttBroj;
    private String naziv;

    public Mesto() {
    }

    public Mesto(int pttBroj, String naziv) {
        this.pttBroj = pttBroj;
        this.naziv = naziv;
    }

    public String getNaziv() {
        return naziv;
    }

    public void setNaziv(String naziv) {
        this.naziv = naziv;
    }

    public int getPttBroj() {
        return pttBroj;
    }

    public void setPttBroj(int pttBroj) {
        this.pttBroj = pttBroj;
    }

    @Override
    public String toString() {
        return naziv;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Mesto other = (Mesto) obj;
        if (this.pttBroj != other.pttBroj) {
            return false;
        }
        
        return true;
    }

    @Override
    public String vratiNazivTabele() {
        return "Mesto";
    }

    @Override
    public String vratiVrednostiZaInsert() {
        return pttBroj + ",'" + naziv + "'";
    }

    @Override
    public List<OpstiDomenskiObjekat> napuni(ResultSet rs) throws Exception {
        List<OpstiDomenskiObjekat> lm = new ArrayList<>();
        while (rs.next()) {
            int ptt = rs.getInt("pttBroj");
            String naziv = rs.getString("naziv");
            Mesto m = new Mesto(pttBroj, naziv);
            lm.add(m);
        }
        return lm;
    }
    
    
    
}
