/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package baza;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

/**
 *
 * @author student1
 */
public class Util {
    private static Util instance;
    private Properties properties;
    String current_db;
    
    private Util() throws IOException {
        properties = new Properties();
        properties.load(new FileInputStream("db.properties"));
        current_db = properties.getProperty("current_db");
    }
    
    public static Util getInstance() throws IOException {
        if (instance == null) {
            instance = new Util();
        }
        return instance;
    }
    
    public String getURL() {
        return properties.getProperty(current_db + "_url");
    }
    
    public String getDriver() {
        return properties.getProperty(current_db + "_driver");
    }
    
    public String getUser() {
        return properties.getProperty(current_db + "_user");
    }
    
    public String getPassword() {
        return properties.getProperty(current_db + "_password");
    }
    
}
