/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package so;

import baza.DbKomunikacija;
import domen.OpstiDomenskiObjekat;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public abstract class OpstaSistemskaOperacija {

    DbKomunikacija db;
    
    public OpstaSistemskaOperacija() {
        db = new DbKomunikacija();
    }
    
    
    
    public void opsteIzvrsenjeSO(OpstiDomenskiObjekat odo){
        try {
            db.ucitajDriver();
            db.otvoriKonekciju();
            // PROVERA PREDUSLOVA
            proveriPreduslovSO(odo);
            izvrsiKonretnuOperaciju(odo);
            
            db.commitTransakcije();
            db.zatvoriKonekciju();
            
        } catch (Exception ex) {
            Logger.getLogger(OpstaSistemskaOperacija.class.getName()).log(Level.SEVERE, null, ex);
            db.rollbackTransakcije();
            db.zatvoriKonekciju();
        }
            
            
            
        }

    public abstract void proveriPreduslovSO(OpstiDomenskiObjekat odo) throws Exception;

    public abstract void izvrsiKonretnuOperaciju(OpstiDomenskiObjekat odo) throws Exception;
        
   
    
    
}
