/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class Mesto implements Serializable, OpstiDomenskiObjekat {

    private long ptt;
    private String naziv;

    public Mesto() {
    }

    public Mesto(long ptt, String naziv) {
        this.ptt = ptt;
        this.naziv = naziv;
    }

    public long getPtt() {
        return ptt;
    }

    public void setPtt(long ptt) {
        this.ptt = ptt;
    }

    public String getNaziv() {
        return naziv;
    }

    public void setNaziv(String naziv) {
        this.naziv = naziv;
    }

    @Override
    public String toString() {
        return vratiPodatke();
    }

    private String vratiPodatke() {
        return ptt + " - " + naziv;
    }

    @Override
    public String vratiNazivTabele() {
        return "Mesto";
    }

    @Override
    public List<OpstiDomenskiObjekat> napuniIVratiSveObjekte(ResultSet rs) throws Exception {

        List lm = new ArrayList<>();

        while (rs.next()) {
            Mesto m = new Mesto();
            m.setPtt(rs.getLong("Ptt"));
            m.setNaziv(rs.getString(2));
            lm.add(m);
        }
        return lm;

    }

    @Override
    public String vratiVrednostiAtributaZaInsert() {
        return ptt+",'"+naziv+"'";
    }

    @Override
    public String vratiFromKlauzuluZaSelect() {
        return "Mesto";
    }
    
    

}
