/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package baza;

import domen.Mesto;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class KomunikacijaSaBazom {

    public void sacuvajMesto(Mesto mesto) throws Exception {
        try {
            //ucitaj driver
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");

            //konekcija ka bazi
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D2");

            //napravi upit
            String upit = "INSERT INTO Mesto VALUES (" + mesto.getPtt() + ",'" + mesto.getNaziv() + "')";
            Statement statement = konekcija.createStatement();
            statement.executeUpdate(upit);
            statement.close();
            //zatvori konekciju
            konekcija.close();

        } catch (ClassNotFoundException ex) {
            System.out.println("Driver ne postoji");
            throw new Exception("Driver ne postoji");
        } catch (SQLException ex) {
            System.out.println("Greska sql exception" + ex.getMessage());
            throw new Exception("Greska u izvrsenju metode");
        }
    }

    public void sacuvajMesto_(Mesto mesto) throws Exception {
        try {
            //ucitaj driver
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");

            //konekcija ka bazi
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D2");

            //napravi upit
            String upit = "INSERT INTO Mesto VALUES (?,?)";
            PreparedStatement ps = konekcija.prepareStatement(upit);
            ps.setBigDecimal(1, new BigDecimal(mesto.getPtt()));
            ps.setString(2, mesto.getNaziv());
            ps.executeUpdate();
            ps.close();
            //zatvori konekciju
            konekcija.close();

        } catch (ClassNotFoundException ex) {
            System.out.println("Driver ne postoji");
            throw new Exception("Driver ne postoji");
        } catch (SQLException ex) {
            System.out.println("Greska sql exception" + ex.getMessage());
            throw new Exception("Greska u izvrsenju metode");
        }

    }

    public List<Mesto> vratiSvaMesta() throws Exception {
        List<Mesto> listaMesta = new ArrayList<Mesto>();
        Connection konekcija = null;
//        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        try {
            //konekcija ka bazi
            konekcija = DriverManager.getConnection("jdbc:odbc:D2");
            String upit = "SELECT * FROM Mesto";
            Statement statement = konekcija.createStatement();
            ResultSet rs = statement.executeQuery(upit);
            while (rs.next()) {
                Long ptt = rs.getLong("Ptt");
                String naziv = rs.getString("Naziv");
                Mesto mesto = new Mesto(ptt, naziv);
                listaMesta.add(mesto);

            }

            return listaMesta;
        } catch (SQLException ex) {
            System.out.println("Greska" + ex.getMessage());
            throw new Exception(ex.getMessage());

        } finally {
            if (konekcija != null) {
                konekcija.close();
            }
        }
    }
}
