/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package view.model;

import domen.Korisnik;
import java.util.ArrayList;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelKorisnici extends AbstractTableModel{
    private List<Korisnik> korisnici;
    private String[] naziviKolona=new String[]{"JMBG","Ime","Prezime","Korisnicko ime","Lozinka","Ulica","Broj","Mesto"};
    
    public TableModelKorisnici(List<Korisnik> korisnici){
        if(korisnici==null){
            korisnici=new ArrayList<>();
        }
        this.korisnici=korisnici;
    }

    @Override
    public String getColumnName(int column) {
        return naziviKolona[column];
    }

    @Override
    public int getRowCount() {
        return korisnici.size();
    }

    @Override
    public int getColumnCount() {
        return naziviKolona.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Korisnik korisnik=korisnici.get(rowIndex);
        switch(columnIndex){
            case 0: return korisnik.getJmbg();
            case 1: return korisnik.getIme();
            case 2: return korisnik.getPrezime();
            case 3: return korisnik.getKorisnickoIme();
            case 4: return korisnik.getLozinka();
            case 5: return korisnik.getAdresa().getUlica();
            case 6: return korisnik.getAdresa().getBroj();
            case 7: return korisnik.getAdresa().getMesto();
            default: return "N/A";
        }
    }
    
}
