/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package logika;

import db.DatabaseBroker;
import domen.Korisnik;
import domen.Mesto;
import java.util.List;
import podaci.KolekcijaKorisnika;
import podaci.KolekcijaMesta;

public class Kontroler {
    private static Kontroler instance;
    private DatabaseBroker dbbr;
    
    private Kontroler(){
        dbbr=new DatabaseBroker();
    }
    
    public static Kontroler getInstance(){
        if(instance==null){
            instance = new Kontroler();
        }
        return instance;
    }
    
    public void dodajKorisnika(Korisnik korisnik) throws Exception{
        try{
            dbbr.uspostaviKonekciju();
            dbbr.kreirajNovogKorisnikaBoljiNacin(korisnik);
            dbbr.zatvoriKonekciju();
        }catch(Exception e){
            e.printStackTrace();
            throw new Exception("Greska prilikom kreiranja novog korisnika u bazi!\n"+e);
        }
    }
    
    public List<Mesto> vratiSvaMesta() throws Exception{
        List<Mesto> mesta=null;
        try{
            dbbr.uspostaviKonekciju();
            mesta=dbbr.vratiSvaMesta();
            dbbr.zatvoriKonekciju();
        }catch(Exception e){
            e.printStackTrace();
            throw new Exception("Greska prilikom ucitavanja mesta iz baze!\n"+e);
        }
        return mesta;
    }
    
    public List<Korisnik> vratiSveKorisnike(){
        return null;//korisnici.getKorisnici();
    }
}
