/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package komunikacija;

import com.sun.corba.se.impl.io.IIOPOutputStream;
import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import logika.Kontroler;

/**
 *
 * @author student1
 */
public class KomunikacijaServer {
    private ServerSocket serverSocket;
    private Socket socket;
    private ObjectInputStream in;
    private ObjectOutputStream out;
    
    
    public KomunikacijaServer() throws IOException {
        serverSocket=new ServerSocket(9000);
        
    }
    
    public void komunikacija() throws IOException, ClassNotFoundException{
        System.out.println("Server ceka klijenta!");
        socket=serverSocket.accept();
        
        
        out=new ObjectOutputStream(socket.getOutputStream());
        in=new ObjectInputStream(socket.getInputStream());
        System.out.println("Klijent je povezan");
        while (true){
            TransferniObjekat to=(TransferniObjekat)in.readObject();
            switch(to.getOperacija()){
                case TransferniObjekat.VRATI_SVE_KORISNIKE:{
                    try {
                        List<Mesto> mesta=Kontroler.getInsance().vratiSvaMesta();
                        to.setPovratnaVrednost(mesta);
                    } catch (Exception ex) {
                        ex.printStackTrace();
                        to.setIzuzetak(ex);
                    }
                    out.writeObject(to);
                    break;
                }
            }
        }
    }
    
    
}
