/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kontrolerUI;

import domen.Adresa;
import domen.Korisnik;
import domen.Mesto;
import java.util.List;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import komunikacija.KomunikacijaKlijent;
import logika.Kontroler;

/**
 *
 * @author student1
 */
public class KontrolerUIPanelUnosKorisnika {
    public void sacuvajNovogKorisnika(JTextField jTextFieldIme, JTextField jTextFieldPrezime, JTextField jTextFieldKorisnickoIme, JPasswordField jPasswordFieldPassword, JTextField jTextFieldJMBG, JTextField jTextFieldUlica, JTextField jTextFieldBroj, JComboBox jComboBoxMesto, JPanel panel){
        Korisnik korisnik = new Korisnik();
        korisnik.setIme(jTextFieldIme.getText());
        korisnik.setPrezime(jTextFieldPrezime.getText());
        korisnik.setKorisnickoIme(jTextFieldKorisnickoIme.getText());
        korisnik.setLozinka(jPasswordFieldPassword.getText());
        korisnik.setJmbg(jTextFieldJMBG.getText());
        Adresa adresa = new Adresa();
        adresa.setUlica(jTextFieldUlica.getText());
        adresa.setBroj(jTextFieldBroj.getText());
        adresa.setMesto((Mesto) jComboBoxMesto.getSelectedItem());
        korisnik.setAdresa(adresa);
        try{
            Kontroler.getInsance().dodajKorisnika(korisnik);
            JOptionPane.showMessageDialog(panel, "Uspesno sacuvan korisnik u bazi!", "Uspesno cuvanje!", JOptionPane.INFORMATION_MESSAGE);
        }catch(Exception e){
            JOptionPane.showMessageDialog(panel, e.getMessage(), "Greska!", JOptionPane.ERROR_MESSAGE);
        }
    }
    
    public void popuniComboMestaPrekoModela(JComboBox jComboBoxMesto, JPanel panel) {
        try {
            List<Mesto> mesta = KomunikacijaKlijent.getInstance().vratiSvaMesta();
            jComboBoxMesto.setModel(new DefaultComboBoxModel(mesta.toArray()));
        } catch (Exception e) {
            JOptionPane.showMessageDialog(panel, e.getMessage(), "Greska!", JOptionPane.ERROR_MESSAGE);
        }
    }
}
