/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package komunikacija;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.util.List;

/**
 *
 * @author student1
 */
public class KomunikacijaKlijent {
    private Socket socket;
    private ObjectInputStream in;
    private ObjectOutputStream out;

    private static KomunikacijaKlijent instance;
    
    public static KomunikacijaKlijent getInstance() throws Exception{
        if(instance==null){
            instance=new KomunikacijaKlijent();
        }
        return instance;
    }
    
    private KomunikacijaKlijent() throws IOException {
        socket=new Socket("localhost", 9000);
        in=new ObjectInputStream(socket.getInputStream());
        out=new ObjectOutputStream(socket.getOutputStream());
    }
    
    public List<Mesto> vratiListuMesta() throws IOException, ClassNotFoundException, Exception{
        List<Mesto> mesta=null;
        TransferniObjekat to=new TransferniObjekat(TransferniObjekat.OPERACIJA_VRATI_SVA_MESTA, null, null, null);
        out.writeObject(to);
        to=(TransferniObjekat)in.readObject();
        if(to.getIzuzetak()==null){
            mesta=(List<Mesto>)to.getPovratnaVrednost();
        }else{
            throw to.getIzuzetak();
        }
        
        return mesta;
    }
}
