/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package baza;

import domen.Mesto;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author student1
 */
public class KomunikacijaSaBazom {

    public void sacuvajMesto(Mesto mesto) throws Exception {
        try {
            //1.ucitaj odgovarajuci drajver
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            //2.uspostavi konekciju
            Connection con = DriverManager.getConnection("jdbc:odbc:D1");
            //3.kreiranje upita
            String upit = "INSERT INTO Mesto VALUES (" + mesto.getPtt() + ",'" + mesto.getNaziv() + "')";
            //4.izrsavanje upita
            Statement stat = con.createStatement();
            stat.executeUpdate(upit);
            //5.zatvori konekciju
            con.close();
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new Exception("Operacija sacuvaj mesto nije izvrsena");
        }

    }

    public void sacuvajMesto_(Mesto mesto) throws Exception {
        try {
            //1.ucitaj odgovarajuci drajver
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            //2.uspostavi konekciju
            Connection con = DriverManager.getConnection("jdbc:odbc:D1");
            //3.kreiranje upita
            String upit = "INSERT INTO Mesto VALUES (?, ?)";
            //4.izrsavanje upita
            PreparedStatement ps = con.prepareStatement(upit);
            ps.setBigDecimal(1, new BigDecimal(mesto.getPtt()));
            ps.setString(2, mesto.getNaziv());
            ps.executeUpdate();
            //5.zatvori konekciju
            con.close();
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new Exception("Operacija sacuvaj mesto nije izvrsena");
        }

    }

    public List<Mesto> vratiSvaMesta() throws  Exception{
        List<Mesto> lista = new LinkedList<>();
        //1.ucitaj odgovarajuci drajver
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        //2.uspostavi konekciju
        Connection con = DriverManager.getConnection("jdbc:odbc:D1");
        //3.kreiranje upita
        String upit="SELECT * FROM Mesto";
        //4.izvrsi upit
        Statement stat= con.createStatement();
         ResultSet rs= stat.executeQuery(upit);
         while(rs.next()){
          long ptt=rs.getLong("ptt");
          String naziv=rs.getString("naziv");
          Mesto mesto=new Mesto(ptt, naziv);
          lista.add(mesto);
         }
        return lista;

    }
}
