/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package baza;

import domen.Adresa;
import domen.Korisnik;
import domen.Mesto;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class RadSaBazom {

    public void sacuvajMesto(Mesto m) throws ClassNotFoundException, SQLException {
        //ucitaj driver
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        //uspostavi konekciju
        Connection konekcija = DriverManager.getConnection("jdbc:odbc:D3");
        //izvrsi upit
        String upit = "INSERT INTO Mesto VALUES (?,?)";
        PreparedStatement pssql = konekcija.prepareStatement(upit);
        pssql.setBigDecimal(1, new BigDecimal(m.getPtt()));//metoda nije podrzana od strane odbc drivera
        pssql.setString(2, m.getNaziv());
        pssql.executeUpdate();
        System.out.println("Mesto je sacuvano");
        konekcija.close();
    }

    public void sacuvajMesto_(Mesto m) throws ClassNotFoundException, SQLException {
        //ucitaj driver
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        //uspostavi konekciju
        Connection konekcija = DriverManager.getConnection("jdbc:odbc:D3");
        //izvrsi upit
        String upit = "INSERT INTO Mesto VALUES (" + m.getPtt() + ",'" + m.getNaziv() + "')";
        System.out.println("upit");
        Statement ssql = konekcija.createStatement();

        ssql.executeUpdate(upit);

        System.out.println("Mesto je sacuvano");
        konekcija.close();
    }

    public List<Mesto> vratiSvaMesta() throws SQLException {
        List<Mesto> listaMesta = new ArrayList<>();
        //ucitaj driver
        //kreiraj konekciju
        Connection konekcija = DriverManager.getConnection("jdbc:odbc:D3");
        String upit = "SELECT * FROM Mesto ORDER BY naziv";
        Statement ssql = konekcija.createStatement();
        ResultSet rs = ssql.executeQuery(upit);
        while (rs.next()) {
            long ptt = rs.getLong("ptt");
            String naziv = rs.getString("naziv");
            Mesto me = new Mesto(ptt, naziv);
            listaMesta.add(me);
        }
        konekcija.close();
        return listaMesta;
    }

    public void sacuvajKorisnika(Korisnik korisnik) throws Exception {
        Connection konekcija = null;
        try {
            konekcija = DriverManager.
                    getConnection("jdbc:odbc:D3");
            String upit = "INSERT INTO Korisnik VALUES (?,?,?,?,?,?,?,?)";
            PreparedStatement ps = konekcija.prepareStatement(upit);
            ps.setString(1, korisnik.getKorisnickoIme());
            ps.setString(2, korisnik.getKorisnickaSifra());
            ps.setString(3, korisnik.getIme());
            ps.setString(4, korisnik.getPrezime());
            ps.setString(5, korisnik.getJmbg());
            ps.setString(6, korisnik.getAdresa().getNazivUlice());
            ps.setString(7, korisnik.getAdresa().getBroj());
            ps.setBigDecimal(8, new BigDecimal(korisnik.getAdresa().getMesto().getPtt()));
            ps.executeUpdate();
        } catch (Exception e) {
            throw new Exception("Korisniik nije sacuvan");
        } finally {
            if (konekcija != null) {
                konekcija.close();
            }
        }

    }

    public List<Korisnik> vratiSveKorisnike() throws Exception {
        Connection konekcija = null;
        List<Korisnik> listaKorisnika = new ArrayList<>();
        try {
            konekcija = DriverManager.getConnection("jdbc:odbc:D3");
            String upit = "SELECT Korisnik.KorisnickoIme,Korisnik.Jmbg, Korisnik.KorisnickaSifra, Korisnik.Ime, Korisnik.Prezime, Korisnik.Ulica, Korisnik.Broj, Mesto.naziv AS NazivMesta, Korisnik.Ptt FROM Mesto INNER JOIN Korisnik ON Mesto.ptt = Korisnik.Ptt ORDER BY Korisnik.Prezime";
            Statement s = konekcija.createStatement();
            ResultSet rs = s.executeQuery(upit);
            while (rs.next()) {
                String ki = rs.getString("KorisnickoIme");
                String ks = rs.getString("KorisnickaSifra");
                String ime = rs.getString("Ime");
                String prezime = rs.getString("Prezime");
                String jmbg = rs.getString("Jmbg");
                String ulica = rs.getString("Ulica");
                String broj = rs.getString("Broj");
                Long ptt = rs.getLong("Ptt");
                String nazivMesta= rs.getString("NazivMesta");
                Korisnik korisnik = new Korisnik();
                korisnik.setKorisnickoIme(ki);
                korisnik.setKorisnickaSifra(ks);
                korisnik.setIme(ime);
                korisnik.setPrezime(prezime);
                korisnik.setJmbg(jmbg);
                Adresa a = new Adresa();
                a.setNazivUlice(ulica);
                a.setBroj(broj);
                Mesto m = new Mesto();
                m.setPtt(ptt);
                m.setNaziv(nazivMesta);
                a.setMesto(m);
                korisnik.setAdresa(a);
                listaKorisnika.add(korisnik);
            }
            return listaKorisnika;
        } catch (Exception e) {
            e.printStackTrace();
            throw new Exception("Greska u metodi vratiSveKorsinke");
        } finally {
            if (konekcija != null) {
                konekcija.close();
            }
        }

    }
}
