/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gui.components.tabela.model;

import domen.Racun;
import domen.StavkaRacuna;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabeleRacun extends AbstractTableModel {

    Racun racun;

    public ModelTabeleRacun(Racun racun) {
        this.racun = racun;
    }

    @Override
    public int getRowCount() {
        return racun.getStavkeRacuna().size();
    }

    @Override
    public int getColumnCount() {
        return 4;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        StavkaRacuna sr = racun.getStavkeRacuna().get(rowIndex);
        switch (columnIndex) {
            case 0:
                return sr.getRbStavke();
            case 1:
                return sr.getProizvod().getNaziv();
            case 2:
                return sr.getKolicina();
            case 3:
                return sr.getCena();
            default:
                return "Greska.";

        }
    }

    @Override
    public String getColumnName(int column) {
        switch (column) {
            case 0:
                return "RB";
            case 1:
                return "Proizvod";
            case 2:
                return "Kolicina";
            case 3:
                return "Cena";
            default:
                return "Greska.";

        }
    }

}
