package baza;

import domen.Mesto;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class RadSaBazom {
    
    public void sacuvajMesto(Mesto m) throws ClassNotFoundException, SQLException{
        //ucitaj odgovarajuci driver
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        //uspostavi konekciju ka bazi
        Connection konekcija = DriverManager.getConnection("jdbc:odbc:D4");
        //validan upit koji treba da se izvrsi
        String upit = "INSERT INTO Mesto VALUES ("+m.getPtt()+", '"+m.getNaziv()+"')";
        Statement s = konekcija.createStatement();
        s.executeUpdate(upit);
        System.out.println("Uspesno je odradjena operacija");
        konekcija.close();
        
    }
    
    public void sacuvajMesto_(Mesto m) throws ClassNotFoundException, SQLException{
        //ucitaj odgovarajuci driver
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        //uspostavi konekciju ka bazi
        Connection konekcija = DriverManager.getConnection("jdbc:odbc:D4");
        //validan upit koji treba da se izvrsi
        String upit = "INSERT INTO Mesto VALUES (?,?)";
        PreparedStatement ps = konekcija.prepareStatement(upit);
        ps.setBigDecimal(1, new BigDecimal(m.getPtt()));
        ps.setString(2, m.getNaziv());
        ps.executeUpdate();
        System.out.println("Uspesno je odradjena operacija");
        konekcija.close();
        
    }
    
    public List<Mesto> vratiSvaMesta() throws SQLException{
        List<Mesto> listaMesta = new ArrayList<>();
        Connection konekcija = DriverManager.getConnection("jdbc:odbc:D4");
        String upit = "SELECT * FROM Mesto";
        Statement s = konekcija.createStatement();
        ResultSet rs = s.executeQuery(upit);
        while(rs.next()){
            long ptt = rs.getLong("ptt");
            String naziv = rs.getString("naziv");
            Mesto m = new Mesto(ptt, naziv);
            listaMesta.add(m);
        }
        konekcija.close();
        return listaMesta;
    }
}
