/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package domen;

import java.io.Serializable;

/**
 *
 * @author student1
 */
public class Korisnik implements Serializable{
    
    private String jmbg;
    private String ime;
    private String prezime;
    private String korisnickoIme;
    private String korisnickaSifra;
    private Adresa adresa;

    public Korisnik() {
        adresa = new Adresa();
    }

    public String getJmbg() {
        return jmbg;
    }

    public void setJmbg(String jmbg) {
        // JMBG mora da ispuni pravila:
        // mora da ima tacno 13 cifara
        // pravila datuma u jmbg...
        this.jmbg = jmbg;
    }

    public String getIme() {
        return ime;
    }

    public void setIme(String ime) {
        this.ime = ime;
    }

    public String getPrezime() {
        return prezime;
    }

    public void setPrezime(String prezime) {
        this.prezime = prezime;
    }

    public String getKorisnickoIme() {
        return korisnickoIme;
    }

    public void setKorisnickoIme(String korisnickoIme) {
        this.korisnickoIme = korisnickoIme;
    }

    public String getKorisnickaSifra() {
        return korisnickaSifra;
    }

    public void setKorisnickaSifra(String korisnickaSifra) {
        this.korisnickaSifra = korisnickaSifra;
    }

    public Adresa getAdresa() {
        return adresa;
    }

    public void setAdresa(Adresa adresa) {
        this.adresa = adresa;
    }
    
    
    public String vratiPodatkeOKorisniku(){
        
        return jmbg+", "+ime+", "+prezime+", "+
                korisnickoIme+", "+adresa.getNazivUlice()+" "+
                adresa.getBroj()+", "+adresa.getMesto().getNaziv();
        
    }

    @Override
    public String toString() {
        return ime+" "+prezime; //To change body of generated methods, choose Tools | Templates.
    }
    
    
}
