/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package dbbr;

import domen.Mesto;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class DBBroker {
    
    Connection konekcija;
    
    
    public void uspostaviKonekciju() throws Exception{
        //Ucitavamo drajver
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        // Uspostavljamo konekciju
        konekcija  = DriverManager.getConnection("jdbc:odbc:BazaD4");
        
    }
    
    public void zatvoriKonekciju() throws SQLException{        
        konekcija.close();
    }
    
    
    public List<Mesto> vratiSvaMesta() throws SQLException{
        
        List<Mesto> listaMesta = new ArrayList<Mesto>();
        
        String upit = "SELECT * FROM MESTO";
        
        Statement naredba = konekcija.createStatement();
        
        ResultSet rs = naredba.executeQuery(upit);
        
        while(rs.next()){
            int ptt = rs.getInt("ptt");
            String naziv = rs.getString("naziv");
            Mesto m = new Mesto(ptt, naziv);
            listaMesta.add(m);
        }
        
        return listaMesta;
    }
    
    
    public void sacuvajMesto(Mesto mesto) throws SQLException{
        // INSERT INTO MESTO VALUES (11000,'Beograd')
        
        String upit = "INSERT INTO MESTO VALUES ("
                + mesto.getPtt()+",'"+mesto.getNaziv()+"')";
        
        Statement naredba = konekcija.createStatement();
        naredba.executeUpdate(upit);
        
    }
    
    
    public void sacuvajMestoBoljiNacin(Mesto mesto) throws SQLException{
        // INSERT INTO MESTO VALUES (11000,'Beograd')
        
        String upit = "INSERT INTO MESTO VALUES (?,?)";
        
        PreparedStatement naredba = konekcija.prepareStatement(upit);
        // postavljaju se parametri u upit
        naredba.setInt(1, (int)mesto.getPtt());
        naredba.setString(2, mesto.getNaziv());
        naredba.executeUpdate();
        
    }
    
    
}
