/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package kontroler;

import domen.Korisnik;
import domen.Mesto;
import java.util.List;
import kolekcija.KolekcijaKorisnika;
import kolekcija.KolekcijaMesta;

/**
 *
 * @author student1
 */
// Klasa Kontroler implementira pattern SINGLTON
public class Kontroler {

    private static Kontroler objekatKontroler;
    
    private KolekcijaKorisnika kolekcijaKorisnika;
    private KolekcijaMesta kolekcijaMesta;

    private Kontroler() {
        kolekcijaKorisnika = new KolekcijaKorisnika();
        kolekcijaMesta = new KolekcijaMesta();
    }

    public static Kontroler vratiObjekatKontroler() {

        if (objekatKontroler == null) {
            // Objekat Kontrolera se kreira samo jedanput
            objekatKontroler = new Kontroler();
        }

        return objekatKontroler;
    }

    
    public void dodajKorisnika(Korisnik k){
        kolekcijaKorisnika.dodajKorisnika(k);
    }
    
    
    public List<Mesto> vratiSvaMesta(){
        return kolekcijaMesta.vratiSvaMesta();
    }
}
