/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ui.gui.korisnik.modeltabele;

import domen.Korisnik;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabeleKorisnik extends AbstractTableModel {

    List<Korisnik> listaKorisnika;
    
    String [] naziviKolona = new String[]{"Jmbg","Ime","Prezime","Kornsicko ime","Korisnicka sifra","Naziv Ulice", "Broj","Mesto"};

    public ModelTabeleKorisnik(List<Korisnik> listaKorisnika) {
        this.listaKorisnika = listaKorisnika;
    }

    @Override
    public int getRowCount() {
        return listaKorisnika.size();
    }

    @Override
    public int getColumnCount() {
        return naziviKolona.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {

        Korisnik korisnik = listaKorisnika.get(rowIndex);

        switch (columnIndex) {

            case 0:
                return korisnik.getJmbg();

            case 1:
                return korisnik.getIme();

            case 2:
                return korisnik.getPrezime();

            case 3:
                return korisnik.getKorisnickoIme();

            case 4:
                return korisnik.getKorisnickaSifra();

            case 5:
                return korisnik.getAdresa().getNazivUlice();

            case 6:
                return korisnik.getAdresa().getBroj();

            case 7:
                return korisnik.getAdresa().getMesto();

            default:
                return null;
        }
    }

    @Override
    public String getColumnName(int column) {
        return naziviKolona[column]; //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return true;
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        ///super.setValueAt(aValue, rowIndex, columnIndex); //To change body of generated methods, choose Tools | Templates.
    }

    
    
    
    
}
