/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package ui.gui.korisnik.modeltabele;

import domen.Korisnik;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabeleKorisnik extends AbstractTableModel{

    List<Korisnik> listaKorisnika;
    
    String [] naziviKolona = new String []{"Jmbg","Ime","Prezime","Korisnicko ime","Korisnicka sifra","Naziv ulice","Broj","Mesto"};

    public ModelTabeleKorisnik(List<Korisnik> listaKorisnika) {
        this.listaKorisnika = listaKorisnika;
    }
    
    
    
    @Override
    public int getRowCount() {    
            return listaKorisnika.size();
    }

    @Override
    public int getColumnCount() {
        return naziviKolona.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        
        Korisnik k = listaKorisnika.get(rowIndex);
        
        switch (columnIndex){
            
            case 0: return k.getJmbg();
                
            case 1: return k.getIme();
                
            case 2: return k.getPrezime();
                
            case 3: return k.getKorisnickoIme();
                
            case 4: return k.getKorisnickaSifra();
                
            case 5: return k.getAdresa().getNazivUlice();
                
            case 6: return k.getAdresa().getBroj();
                
            case 7: return k.getAdresa().getMesto();
            
            default: return null;
        }
        
    }

    @Override
    public String getColumnName(int column) {
        return naziviKolona[column];
    }

    
    
    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        
        return true;
        
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        super.setValueAt(aValue, rowIndex, columnIndex); //To change body of generated methods, choose Tools | Templates.
    }
    
    
    
    
}
