/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package poslovnalogika;

import domen.Korisnik;
import domen.Mesto;
import java.util.List;


/**
 *
 * @author student1
 */
public class Kontroler {
    private KolekcijaKorisnika kk;
    private KolekcijaMesta km;
    private static Kontroler kontroler;

    private Kontroler() {
        kk = new KolekcijaKorisnika();
        km = new KolekcijaMesta();
    }
    
    public static Kontroler vratiObjekat() {
        if (kontroler == null) {
            kontroler = new Kontroler();
        }
        return kontroler;
    }
    
    public void dodajKorisnika(Korisnik k) {
        kk.dodajKorisnika(k);
    }
    
    public List<Korisnik> vratiKorisnike() {
        return kk.vratiKorisnike();
    }
    
    public void dodajMesto(Mesto m) {
        km.dodajMesto(m);
    }
    
    public List<Mesto> vratiMesta() {
        return km.vratiMesta();
    }
    
    
}
