/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package baza;

import domen.Mesto;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class DbKomunikacija {
    private Connection connection;
    
    public void ucitajDriver() throws RuntimeException {
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        } catch (ClassNotFoundException ex) {
            throw new RuntimeException("Driver nije pronadjen!");
        }
    }
    
    public void otvoriKonekciju() throws RuntimeException {
        try {
            connection = DriverManager.getConnection("jdbc:odbc:D1", "", "");
        } catch (SQLException ex) {
            throw new RuntimeException("Neuspesno otvaranje konekcije!");
        }
    }
    
    public void sacuvajMesto(Mesto mesto) throws RuntimeException {
        try {
            String sql = "INSERT INTO Mesto VALUES (" + mesto.getPtt() + ",'" + mesto.getNaziv() + "')";
            Statement sqlNaredba = connection.createStatement();
            sqlNaredba.executeUpdate(sql);
        } catch (SQLException ex) {
            throw new RuntimeException("Neuspesno cuvanje mesta! " + ex.getMessage());
        }
    }
    
    public void zatvoriKonekciju() throws RuntimeException {
        try {
            connection.close();
        } catch (SQLException ex) {
            throw new RuntimeException("Neuspesno zatvaranje konekcije!");
        }
    }
    
    public List<Mesto> vratiMesta() throws RuntimeException {
        try {
            Statement sqlNaredba = connection.createStatement();
            String sql = "SELECT * FROM Mesto";
            ResultSet rs = sqlNaredba.executeQuery(sql);
            List<Mesto> lm = new ArrayList<>();
            while (rs.next()) {
                Mesto m = new Mesto();
                m.setPtt(rs.getLong("Ptt"));
                m.setNaziv(rs.getString(2));
                lm.add(m);
            }
            return lm;
        } catch (SQLException ex) {
            throw new RuntimeException("Neuspesno ucitavanje mesta!");
        }
    }
    
    
}
