/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package komunikacija;

import domen.Mesto;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.util.List;
import logika.Kontroler;

/**
 *
 * @author student1
 */
public class NitKlijent extends Thread {

    private Socket socket;
    private ObjectInputStream in;
    private ObjectOutputStream out;

    public NitKlijent(Socket socket) {
        this.socket = socket;
    }

    @Override
    public void run() {
        try {
            out = new ObjectOutputStream(socket.getOutputStream());
            in = new ObjectInputStream(socket.getInputStream());
            System.out.println("Klijent je povezan");
            while (true) {
                TransferniObjekat to = (TransferniObjekat) in.readObject();
                switch (to.getOperacija()) {
                    case TransferniObjekat.VRATI_SVE_KORISNIKE: {
                        try {
                            List<Mesto> mesta = Kontroler.getInsance().vratiSvaMesta();
                            to.setPovratnaVrednost(mesta);
                        } catch (Exception ex) {
                            ex.printStackTrace();
                            to.setIzuzetak(ex);
                        }
                        out.writeObject(to);
                        break;
                    }
                }
            }

        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

}
