/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package domen;

import java.io.Serializable;
import java.sql.ResultSet;
import java.util.List;
import java.util.Objects;

/**
 *
 * @author student1
 */
public class Korisnik implements Serializable, OpstiDomenskiObjekat {
    private String ime;
    private String prezime;
    private String korisnickoIme;
    private String lozinka;
    private String jmbg;
    private Adresa adresa;

    public Korisnik() {
        Adresa adresa=new Adresa();
        Mesto mesto=new Mesto(11000,"Beograd");
        adresa.setMesto(mesto);
        this.setAdresa(adresa);
    }

    public Korisnik(String ime, String prezime, String korisnickoIme, String lozinka, String jmbg, Adresa adresa) {
        this.ime = ime;
        this.prezime = prezime;
        this.korisnickoIme = korisnickoIme;
        this.lozinka = lozinka;
        this.jmbg = jmbg;
        this.adresa = adresa;
    }

    public Adresa getAdresa() {
        return adresa;
    }

    public void setAdresa(Adresa adresa) {
        this.adresa = adresa;
    }

    public String getIme() {
        return ime;
    }

    public void setIme(String ime) {
        this.ime = ime;
    }

    public String getPrezime() {
        return prezime;
    }

    public void setPrezime(String prezime) {
        this.prezime = prezime;
    }

    public String getKorisnickoIme() {
        return korisnickoIme;
    }

    public void setKorisnickoIme(String korisnickoIme) {
        this.korisnickoIme = korisnickoIme;
    }

    public String getLozinka() {
        return lozinka;
    }

    public void setLozinka(String lozinka) {
        this.lozinka = lozinka;
    }

    public String getJmbg() {
        return jmbg;
    }

    public void setJmbg(String jmbg) {
        this.jmbg = jmbg;
    }

    @Override
    public String toString() {
        return "Korisnik{" + "ime=" + ime + ", prezime=" + prezime + ", korisnickoIme=" + korisnickoIme + ", lozinka=" + lozinka + ", jmbg=" + jmbg + ", adresa=" + adresa + '}';
    }

    @Override
    public int hashCode() {
        int hash = 3;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Korisnik other = (Korisnik) obj;
        if (!Objects.equals(this.jmbg, other.jmbg)) {
            return false;
        }
        return true;
    }

    @Override
    public String vratiNazivTabele() {
        return "Korisnik";
    }

    @Override
    public String vratiVrednostiZaInsert() {
        return "'"+jmbg+"','"+ime+"','"+prezime+"','"+korisnickoIme+"','"+lozinka+"','"+adresa.getUlica()+"','"+adresa.getBroj()+"',"+adresa.getMesto().getPttBroj();
    }

    @Override
    public List<OpstiDomenskiObjekat> napuni(ResultSet rs) throws Exception {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
    
    
    
}
