/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.korisnik;

import domen.Adresa;
import domen.Korisnik;
import domen.Mesto;
import java.util.List;
import javax.swing.JComboBox;
import javax.swing.JOptionPane;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import komunikacija.Komunikacija;
import transfer.TransferObjekatOdgovor;
import transfer.TransferObjekatZahtev;
import util.Konstante;

/**
 *
 * @author student1
 */
public class KKIUnosKorisnika {

    public static void vratiMesta(JComboBox jcbMesto) {
        try {
            //List<Mesto> lm = Kontroler.vratiObjekat().vratiMesta();
            TransferObjekatZahtev toZahtev = new TransferObjekatZahtev();
            toZahtev.setOperacija(Konstante.VRATI_MESTA);
            Komunikacija.vratiObjekat().posalji(toZahtev);

            TransferObjekatOdgovor toOdgovor = Komunikacija.vratiObjekat().procitaj();
            List<Mesto> lm = (List<Mesto>) toOdgovor.getOdgovor();
            jcbMesto.removeAllItems();
            for (Mesto m : lm) {
                jcbMesto.addItem(m);
            }
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    public static void sacuvajKorisnika(JTextField jtfIme, JTextField jtfPrezime, JTextField jtfJMBG, JTextField jtfUsername, JPasswordField jtfPassword, JTextField jtfUlica, JTextField jtfBroj, JComboBox jcbMesto) {
        try {
            String ime = jtfIme.getText().trim();
            String prezime = jtfPrezime.getText().trim();
            String jmbg = jtfJMBG.getText().trim();
            String username = jtfUsername.getText().trim();
            String password = new String(jtfPassword.getPassword());
            String ulica = jtfUlica.getText().trim();
            String broj = jtfBroj.getText().trim();
            Mesto mesto = (Mesto) jcbMesto.getSelectedItem();

            Adresa adresa = new Adresa(ulica, broj, mesto);
            Korisnik korisnik = new Korisnik(jmbg, ime, prezime, username, password, adresa);

            //KolekcijaKorisnika kk = new KolekcijaKorisnika();
            //kk.dodajKorisnika(korisnik);
            //Kontroler.vratiObjekat().dodajKorisnika(korisnik);
            TransferObjekatZahtev toZahtev = new TransferObjekatZahtev();
            toZahtev.setOperacija(Konstante.SACUVAJ_KORISNIKA);
            toZahtev.setParametar(korisnik);
            Komunikacija.vratiObjekat().posalji(toZahtev);
            
            TransferObjekatOdgovor toOdgovor = Komunikacija.vratiObjekat().procitaj();
            JOptionPane.showMessageDialog(null, toOdgovor.getRezultat());

        } catch (Exception ex) {
            ex.printStackTrace();
        }    }

}
