/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package komunikacija;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import transfer.TransferObjekatOdgovor;
import transfer.TransferObjekatZahtev;

/**
 *
 * @author student1
 */
public class Komunikacija {
    private Socket socket;
    private static Komunikacija instance;
    ObjectOutputStream outSocket;
    ObjectInputStream inSocket;
    
    private Komunikacija() throws Exception {
//        socket = new Socket("127.0.0.1", 9000);
//        outSocket = new ObjectOutputStream(socket.getOutputStream());
//        inSocket = new ObjectInputStream(socket.getInputStream());
        poveziSeSaServerom("127.0.0.1", 9000, null);
        System.out.println("Uspesno povezivanje sa serverom.");
    }
    
    public void poveziSeSaServerom(String IP, int port, String korisnickoIme ) throws Exception{
        socket = new Socket(IP, port);
        outSocket = new ObjectOutputStream(socket.getOutputStream());
        inSocket = new ObjectInputStream(socket.getInputStream());
    }
    
    public static Komunikacija vratiObjekat() throws Exception {
        if (instance == null) {
            instance = new Komunikacija();
        }
        return instance;
    }
    
    public void posaljiZahtev(TransferObjekatZahtev toZahtev) throws IOException {
        
        outSocket.writeObject(toZahtev);
    }
    
    public TransferObjekatOdgovor procitajOdgovor() throws IOException, ClassNotFoundException {
        
        return (TransferObjekatOdgovor) inSocket.readObject();
    }
    
}
