/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class Korisnik implements Serializable,OpstiDomenskiObjekat {

    private String ime;
    private String prezime;
    private String korisnickoIme;
    private String korisnickaLozinka;
    private String JMBG;
    private Adresa adresa;

    public Korisnik() {
        this.adresa = new Adresa();
    }

    public Korisnik(String ime, String prezime, String korisnickoIme, String korisnickaLozinka, String JMBG, Adresa adresa) {
        this.ime = ime;
        this.prezime = prezime;
        this.korisnickoIme = korisnickoIme;
        this.korisnickaLozinka = korisnickaLozinka;
        this.JMBG = JMBG;
        this.adresa = adresa;
    }

    public String getIme() {
        return ime;
    }

    public void setIme(String ime) {
        this.ime = ime;
    }

    public String getPrezime() {
        return prezime;
    }

    public void setPrezime(String prezime) {
        this.prezime = prezime;
    }

    public String getKorisnickoIme() {
        return korisnickoIme;
    }

    public void setKorisnickoIme(String korisnickoIme) {
        this.korisnickoIme = korisnickoIme;
    }

    public String getKorisnickaLozinka() {
        return korisnickaLozinka;
    }

    public void setKorisnickaLozinka(String korisnickaLozinka) {
        this.korisnickaLozinka = korisnickaLozinka;
    }

    public String getJMBG() {
        return JMBG;
    }

    public void setJMBG(String JMBG) {
        this.JMBG = JMBG;
    }

    public Adresa getAdresa() {
        return adresa;
    }

    public void setAdresa(Adresa adresa) {
        this.adresa = adresa;
    }

    private String vratiPodatke() {
        StringBuilder sb = new StringBuilder();
        sb.append(ime).append("\t");
        sb.append(prezime).append("\t");
        sb.append(JMBG).append("\t");
        sb.append(adresa);
        return sb.toString();
    }

    @Override
    public String toString() {
        return vratiPodatke();
    }

    @Override
    public String vratiNazivTabele() {
       return "Korisnik";
    }

    @Override
    public List<OpstiDomenskiObjekat> napuniIVratiSveObjekte(ResultSet rs) throws Exception {
        List lk = new ArrayList<>();
            while (rs.next()) {
                Korisnik k = new Korisnik();
                k.setJMBG(rs.getString("JMBG"));
                k.setIme(rs.getString("Ime"));
                k.setPrezime(rs.getString("Prezime"));
                k.setKorisnickoIme(rs.getString("KorisnickoIme"));
                k.setKorisnickaLozinka(rs.getString("KorisnickaLozinka"));
                k.getAdresa().setBroj(rs.getString("Broj"));
                k.getAdresa().setNazivUlice(rs.getString("NazivUlice"));
                Mesto m = new Mesto();
                m.setPtt(rs.getLong(8));
                m.setNaziv(rs.getString("Naziv"));
                k.getAdresa().setMesto(m);

                lk.add(k);
            }
            return lk;
    }

    @Override
    public String vratiVrednostiAtributaZaInsert() {
        return "'"+JMBG+"','"+ime+"','"+prezime+"','"+korisnickoIme+"','"+korisnickaLozinka+
                "','"+adresa.getNazivUlice()+"','"+adresa.getBroj()+"',"+adresa.getMesto().getPtt();
    }

    @Override
    public String vratiFromKlauzuluZaSelect() {
        return "Korisnik k INNER JOIN Mesto m ON (k.Ptt=m.Ptt)";
    }
    
    
}
