/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package sistemskeOperacije.opsta;

import db.DatabaseBroker;
import domen.DomenskiObjekat;
import domen.Korisnik;
import java.sql.SQLException;

/**
 *
 * @author student1
 */
public abstract class SOOpsta {
    
    protected DatabaseBroker db;
    
    public SOOpsta() {
        db=new DatabaseBroker();
    }
    
    public void izvrsi(DomenskiObjekat domObj) throws Exception{
        try{
        otvoriTransakciju();
        proveriPreduslov();
      //  sacuvajKorisnika(domObj);
        izvrsiOperaciju(domObj);
        potvrdiTransakciju();
        }catch(Exception ex){
             ponistiTransakciju();
            throw new Exception("Operacija cuvanja korisnika nije izvrsena!");
           
        }
        
    }
    
    private void otvoriTransakciju() throws Exception{
       db.otvoriTransakciju(); 
    }
    
    protected abstract void proveriPreduslov();
    
    private void potvrdiTransakciju() throws SQLException{
        db.potvrdiTransakciju();
    }
    
    private void ponistiTransakciju() throws SQLException{
        db.ponistiTransakciju();
    }

    protected abstract void izvrsiOperaciju(DomenskiObjekat domObj)throws Exception; 
    
}
