package domen;

/**
 *
 * @author student1
 */
public class Korisnik {
    private String ime;
    private String prezime;
    private String korisnickoIme;
    private String korisnickaSifra;
    private String JMBG;
    private Adresa adresa;

    public Korisnik() {
        ime = "N/A";
        prezime = "N/A";
        korisnickoIme = "N/A";
        korisnickaSifra = "N/A";
        JMBG = "N/A";
        adresa = new Adresa();
    }

    public Korisnik(String ime, String prezime, String korisnickoIme, String korisnickaSifra, String JMBG, Adresa adresa) {
        this.ime = ime;
        this.prezime = prezime;
        this.korisnickoIme = korisnickoIme;
        this.korisnickaSifra = korisnickaSifra;
        this.JMBG = JMBG;
        this.adresa = adresa;
    }

    public String getIme() {
        return ime;
    }

    public void setIme(String ime) {
        this.ime = ime;
    }

    public String getPrezime() {
        return prezime;
    }

    public void setPrezime(String prezime) {
        this.prezime = prezime;
    }

    public String getKorisnickoIme() {
        return korisnickoIme;
    }

    public void setKorisnickoIme(String korisnickoIme) {
        this.korisnickoIme = korisnickoIme;
    }

    public String getKorisnickaSifra() {
        return korisnickaSifra;
    }

    public void setKorisnickaSifra(String korisnickaSifra) {
        this.korisnickaSifra = korisnickaSifra;
    }

    public String getJMBG() {
        return JMBG;
    }

    public void setJMBG(String JMBG) {
        this.JMBG = JMBG;
    }

    public Adresa getAdresa() {
        return adresa;
    }

    public void setAdresa(Adresa adresa) {
        this.adresa = adresa;
    }

    public String vratiFormatZaPrikaz() {
        String s = "";
        s += ime;
        s += "\t";
        s += prezime;
        s += "\t";
        s += korisnickoIme;
        s += "\t";
        s += korisnickaSifra;
        s += "\t";
        s += JMBG;
        s += "\n";
        s += adresa.getNazivUlice()+ "\t"+adresa.getMesto().getNaziv();
        return s;
    }

    @Override
    public String toString() {
        return ime+" "+prezime;
    }
    
    
}
