/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gui.components.tabela.model;

import domen.Korisnik;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabeleKorisnik extends AbstractTableModel {

    List<Korisnik> listaKorisnika;

    public ModelTabeleKorisnik(List<Korisnik> listaKorisnika) {
        this.listaKorisnika = listaKorisnika;
    }

    @Override
    public int getRowCount() {
        return listaKorisnika.size();
    }

    @Override
    public int getColumnCount() {
        return 5;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Korisnik k = listaKorisnika.get(rowIndex);
        switch (columnIndex) {
            case 0:
                return k.getKorisnickoIme();
            case 1:
                return k.getKorisnickaSifra();
            case 2:
                return k.getIme();
            case 3:
                return k.getPrezime();
            case 4:
                return k.getAdresa();
            default:
                return "Greska";
        }
    }

    @Override
    public String getColumnName(int column) {
        switch (column) {
            case 0:
                return "Korisnicko ime";
            case 1:
                return "Korisnicka sifra";
            case 2:
                return "Ime";
            case 3:
                return "Prezime";
            case 4:
                return "Adresa";
            default:
                return "Greska";
        }
    }
    public void dodajNovogKorisnika(Korisnik korisnik) {
        listaKorisnika.add(korisnik);
        fireTableDataChanged();
    }

    public List<Korisnik> vratiKorisnike() {
        return listaKorisnika;
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        if(columnIndex==0) {
            return true;
            
        }
        if(columnIndex==1){
            return true;
        }
        return false;
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        Korisnik k = listaKorisnika.get(rowIndex);
        if(columnIndex==0){
        k.setKorisnickoIme(aValue.toString());
        }
        if(columnIndex==1){
            k.setKorisnickaSifra(aValue.toString());
        }
    }

    
}
