/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package komunikacija;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectInputStream;
import java.io.ObjectOutput;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.util.List;

/**
 *
 * @author student1
 */
public class KomunikacijaKlijent {
    private Socket socket;
    private ObjectInputStream in;
    private ObjectOutputStream out;
    private static KomunikacijaKlijent instance;
    
    private KomunikacijaKlijent() throws Exception{
        socket=new Socket("localhost", 9000);
        in=new ObjectInputStream(socket.getInputStream());
        out=new ObjectOutputStream(socket.getOutputStream());
    }
       
    public static KomunikacijaKlijent getInstance() throws Exception{
        if(instance==null){
            instance=new KomunikacijaKlijent();
        }
        return instance;
    }
    
    public List<Mesto> vratiSvaMesta()throws Exception{
        TransferniObjekat to=new TransferniObjekat(TransferniObjekat.VRATI_SVA_MESTA, null, null, null);
        out.writeObject(to);
        to=(TransferniObjekat)in.readObject();
        if(to.getIzuzetak()==null){
            return (List<Mesto>)to.getPovratnaVrednost();
        }else{
            throw to.getIzuzetak();
        }
    }
}
