/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package komunikacija;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutput;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import logika.Kontroler;

/**
 *
 * @author student1
 */
public class KomunikacijaServer {
    private ServerSocket serverSoket;
    private Socket socket;
    private ObjectOutputStream out;
    private ObjectInputStream in;

    public KomunikacijaServer() throws IOException {
        serverSoket = new ServerSocket(9000);
    }
    
    public void komunikacija() throws IOException, ClassNotFoundException{
        System.out.println("Server ceka klijenta");
        socket=serverSoket.accept();
        System.out.println("Klijent se povezao");
        out=new ObjectOutputStream(socket.getOutputStream());
        in=new ObjectInputStream(socket.getInputStream());
        while(true){
            TransferniObjekat to=(TransferniObjekat)in.readObject();
            switch (to.getOperacija()){
                case TransferniObjekat.VRATI_SVA_MESTA:{
                    System.out.println("Pozvana je operacija vrati sva mesta!");
                    try {
                        List<Mesto> mesta=Kontroler.getInsance().vratiSvaMesta();
                        to.setPovratnaVrednost(mesta);
                    } catch (Exception ex) {
                        ex.printStackTrace();
                        to.setIzuzetak(ex);
                    }
                    out.writeObject(to);
                    break;
                }
            }
        }
    }
    
}
